<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZOrderUsr5EditViewBase from './ibizorder-usr5-edit-view-base.vue';

import view_form from '@widgets/ibizorder/uipart-0009-2-form/uipart-0009-2-form.vue';
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZOrderUsr5EditView extends IBIZOrderUsr5EditViewBase {

}
</script>